"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-310/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495688040>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x00000274956880D0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495688160>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x00000274956881F0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495688280>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495688310>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x00000274956883A0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495688430>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x00000274956884C0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495688550>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x00000274956885E0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495688670>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495688700>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495688790>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495688820>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x00000274956888B0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495688940>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x00000274956889D0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495688A60>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495688AF0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495688B80>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495688C10>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495688CA0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495688D30>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495688E50>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495688DC0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495688EE0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495688F70>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495689000>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495689090>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495689120>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x00000274956891B0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495689240>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x00000274956892D0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495689360>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x00000274956893F0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495689480>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495689510>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x00000274956895A0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495689630>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x00000274956896C0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495689750>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x00000274956897E0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495689870>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495689900>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495689990>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495689A20>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495689AB0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495689B40>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495689BD0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495689C60>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495689CF0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495689D80>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495689E10>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495689EA0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495689F30>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000027495689FC0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000002749568A050>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x000002749568A0E0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x000002749568A170>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x000002749568A200>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x000002749568A290>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x000002749568A320>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x000002749568A3B0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x000002749568A440>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x000002749568A5F0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x000002749568A4D0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x000002749568A680>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x000002749568A710>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000002749568A7A0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x000002749568A830>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x000002749568A8C0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000002749568A9E0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x000002749568A950>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x000002749568AA70>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x000002749568AB00>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x000002749568AB90>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x000002749568ACB0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x000002749568AC20>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x000002749568AD40>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x000002749568ADD0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x000002749568AE60>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x000002749568AEF0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x000002749568AF80>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x000002749568B010>)]
name: str = 'fr_HOCCN'
